Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class MarkerModel

    java.lang.Object
      com.eltima.chart.MarkerModel

All Implemented Interfaces:
  java.io.Serializable

    public class MarkerModel

extends java.lang.Object
implements java.io.Serializable

The MarkerModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Constructor Summary
`MarkerModel()` Creates new instance of MarkerModel.
`MarkerModel(int type, int size, java.awt.Color color, float lineWidth, java.awt.Color lineColor)` Creates new instance of MarkerModel with specified marker type, size, color, line width and color.

Method Summary
`java.awt.Color` | `getColor()` Returns the marker color.
`java.awt.Color` | `getLineColor()` Returns the line color.
`float` | `getLineWidth()` Returns the line width.
`int` | `getSize()` Returns the marker size.
`int` | `getType()` Returns the marker type.
`boolean` | `isPainted()` Returns true if marker painted.
`void` | `setColor(java.awt.Color c)` Sets the marker color.
`void` | `setLineColor(java.awt.Color c)` Sets the line color.
`void` | `setLineWidth(float width)` Sets the line width.
`void` | `setPainted(boolean painted)` Sets marker painted.
`void` | `setSize(int size)` Sets the marker size.
`void` | `setType(int type)` Sets the marker type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerModel

    public MarkerModel()

  Creates new instance of MarkerModel.

### MarkerModel

    public MarkerModel(int type,
                       int size,
                       java.awt.Color color,
                       float lineWidth,
                       java.awt.Color lineColor)

  Creates new instance of MarkerModel with specified marker type, size, color, line width and color.

  Parameters:
    `type` - int
    `size` - int
    `color` - Color
    `lineWidth` - float
    `lineColor` - Color

Method Detail

### getColor

    public java.awt.Color getColor()

  Returns the marker color.

  Returns:
    Color

### getLineColor

    public java.awt.Color getLineColor()

  Returns the line color.

  Returns:
    Color

### getLineWidth

    public float getLineWidth()

  Returns the line width.

  Returns:
    float

### getSize

    public int getSize()

  Returns the marker size.

  Returns:
    int

### getType

    public int getType()

  Returns the marker type.

  Returns:
    int

### setColor

    public void setColor(java.awt.Color c)

  Sets the marker color.

  Parameters:
    `c` - Color

### setLineColor

    public void setLineColor(java.awt.Color c)

  Sets the line color.

  Parameters:
    `c` - Color

### setLineWidth

    public void setLineWidth(float width)

  Sets the line width.

  Parameters:
    `width` - float

### setSize

    public void setSize(int size)

  Sets the marker size.

  Parameters:
    `size` - int

### setType

    public void setType(int type)

  Sets the marker type.

  Parameters:
    `type` - int

### isPainted

    public boolean isPainted()

  Returns true if marker painted.

  Returns:
    boolean

### setPainted

    public void setPainted(boolean painted)

  Sets marker painted.

  Parameters:
    `painted` - boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.